/*
 * Class WEL_DATA_TYPE
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_539 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_539 [] = {0xFF01,1551,538,0xFFFF};
static const EIF_TYPE_INDEX egt_2_539 [] = {0xFF01,538,0xFFFF};
static const EIF_TYPE_INDEX egt_3_539 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_539 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_539 [] = {0xFF01,538,0xFFFF};
static const EIF_TYPE_INDEX egt_6_539 [] = {0xFF01,538,0xFFFF};
static const EIF_TYPE_INDEX egt_7_539 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_539 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_539 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_539 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_539 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_539 [] = {0xFF01,538,0xFFFF};


static const struct desc_info desc_539[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_539), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_539), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_539), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_539), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_539), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_539), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_539), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_539), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_539), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_539), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_539), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_539), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0435 /*538*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_539), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 8553, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 8551, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 8552, 0xFFFFFFFF},
};
void Init539(void)
{
	IDSC(desc_539, 0, 538);
	IDSC(desc_539 + 1, 1, 538);
	IDSC(desc_539 + 32, 1363, 538);
}


#ifdef __cplusplus
}
#endif
